<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns="http://www.w3.org/1999/xhtml">
    <h:form id="nameForm">
        <gri:popupPanel id="name_modalpanel_editor">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.EditName']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#name_modalpanel_editor').modal('hide')"
                                   execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   onclick="jq162('#name_modalpanel_editor').modal('hide');"
                                   render="name_content"/>
            </f:facet>
            <a4j:region>
                <s:decorate id="name_view">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Name_2']}</ui:define>
                        <h:inputText value="#{selectedRO.name}" styleClass="form-control"/>
                    </s:decorate>
                </s:decorate>
            </a4j:region>
        </gri:popupPanel>
    </h:form>
    <h:form id="attributeNameForm">
        <gri:popupPanel id="displayAttributeName_modalpanel_editor">
            <f:facet name="header">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xdstar.EditDisplayAttributeName']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#displayAttributeName_modalpanel_editor').modal('hide')"
                                   execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   onclick="jq162('#displayAttributeName_modalpanel_editor').modal('hide');"
                                   render="displayAttributeName_content"/>
            </f:facet>
            <a4j:region>
                <s:decorate id="displayAttributeName_view">
                    <s:decorate id="formdisplayAttributeName"
                                template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.DisplayAttributeName']}</ui:define>
                        <h:inputText value="#{selectedRO.displayAttributeName}" styleClass="form-control"/>
                    </s:decorate>
                </s:decorate>
            </a4j:region>
        </gri:popupPanel>
    </h:form>
    <h:form id="usageForm">
        <gri:popupPanel id="usages_add" bodyStyleClass="gzl-select-modal-overflow-visible">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.AddUsage']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#usages_add').modal('hide')" execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   actionListener="#{selectedRO.usages.add(ROManager.selectedUsage)}"
                                   onclick="jq162('#usages_add').modal('hide');"
                                   render="usages_content"/>
            </f:facet>
            <a4j:region>
                <s:decorate>
                    #{ROManager.setSelectedUsage(null)}
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Usage']}</ui:define>
                        <h:selectOneMenu id="selectCar" value="#{ROManager.selectedUsage}" styleClass="form-control gzl-form-control gzl-select-text">
                            <s:selectItems
                                    value="#{metadataEditorManager.getAvailableUsages()}" var="cl"
                                    noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}"
                                    label="#{cl.affinity.keyword} =&gt; #{cl.transaction.keyword}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </s:decorate>
            </a4j:region>
        </gri:popupPanel>
    </h:form>
    <h:form id="extrinsicForm">
        <gri:popupPanel id="extrinsic_object_add" bodyStyleClass="gzl-select-modal-overflow-visible">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.AddExtrinsicObject']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#extrinsic_object_add').modal('hide')"
                                   execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   actionListener="#{selectedRO.addExtrinsicObject(ROManager.selectedExtrinsicObject,ROManager.selectedCardinalityEnum)}"
                                   onclick="jq162('#extrinsic_object_add').modal('hide');"
                                   render="extrinsic_object_content"/>
            </f:facet>
            <a4j:region>
                <s:decorate>
                    #{ROManager.setSelectedExtrinsicObject(null)}
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.ExtrinsicObjectMetadata_2']}
                        </ui:define>
                        <h:selectOneMenu id="selectCar" styleClass="form-control gzl-form-control gzl-select-text"
                                         value="#{ROManager.selectedExtrinsicObject}">
                            <s:selectItems
                                    value="#{metadataEditorManager.getAvailableExtrinsicObject()}"
                                    var="cl"
                                    noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}"
                                    label="#{cl.displayAttributeName}"/>
                        </h:selectOneMenu>
                    </s:decorate>

                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Cardinality']}</ui:define>
                        <h:selectOneMenu id="selectCarinality" styleClass="form-control gzl-form-control gzl-select-text"
                                         value="#{ROManager.selectedCardinalityEnum}">
                            <s:selectItems
                                    value="#{metadataEditorManager.getAvailableCardinalityString()}"
                                    var="cl"
                                    noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}"
                                    label="#{cl}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </s:decorate>
            </a4j:region>
        </gri:popupPanel>
    </h:form>
    <h:form id="registryAddForm">
        <gri:popupPanel id="registry_package_add" bodyStyleClass="gzl-select-modal-overflow-visible">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.AddRegsitryPackage']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#registry_package_add').modal('hide')"
                                   execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   actionListener="#{selectedRO.addRegistryPackage(ROManager.selectedRegistryPackage,ROManager.selectedCardinalityEnum)}"
                                   onclick="jq162('#registry_package_add').modal('hide');"
                                   render="registry_package_content"/>
            </f:facet>
            <a4j:region>
                #{ROManager.setSelectedRegistryPackage(null)}
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.RegistryPackageMetadata_2']}</ui:define>
                    <h:selectOneMenu id="selectCar" styleClass="form-control gzl-form-control gzl-select-text"
                                     value="#{ROManager.selectedRegistryPackage}">
                        <s:selectItems
                                value="#{metadataEditorManager.getAvailableRegistryPackage()}"
                                var="cl"
                                noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}"
                                label="#{cl.displayAttributeName}"/>
                    </h:selectOneMenu>
                </s:decorate>

                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Cardinality']}</ui:define>
                    <h:selectOneMenu id="selectCarinality" styleClass="form-control gzl-form-control gzl-select-text"
                                     value="#{ROManager.selectedCardinalityEnum}">
                        <s:selectItems
                                value="#{metadataEditorManager.getAvailableCardinalityString()}"
                                var="cl"
                                noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}"
                                label="#{cl}"/>
                    </h:selectOneMenu>
                </s:decorate>
            </a4j:region>
        </gri:popupPanel>
    </h:form>
    <h:form id="registryEditForm">
        <gri:popupPanel id="registry_package_edit" bodyStyleClass="gzl-select-modal-overflow-visible">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.EditRegistryPackage']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#registry_package_edit').modal('hide')"
                                   execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   actionListener="#{selectedRO.editRegistry_Package(ROManager.selectedRegistryPackageDescriber, ROManager.selectedRegistryPackage,ROManager.selectedCardinalityEnum)}"
                                   onclick="jq162('#registry_package_edit').modal('hide');"
                                   render="registry_package_content"/>
            </f:facet>
            <a4j:region>
                <s:decorate>
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.RegistryPackageMetadata_2']}
                        </ui:define>
                        <h:selectOneMenu id="selectCar"
                                         value="#{ROManager.selectedRegistryPackage}"
                                         styleClass="form-control gzl-form-control gzl-select-text">
                            <s:selectItems
                                    value="#{metadataEditorManager.getAvailableRegistryPackage()}"
                                    var="cl"
                                    noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}"
                                    label="#{cl.displayAttributeName}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Cardinality']}</ui:define>
                        <h:selectOneMenu id="selectCarinality" styleClass="form-control gzl-form-control gzl-select-text"
                                         value="#{ROManager.selectedCardinalityEnum}">
                            <s:selectItems
                                    value="#{metadataEditorManager.getAvailableCardinalityString()}"
                                    var="cl"
                                    noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}"
                                    label="#{cl}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </s:decorate>
            </a4j:region>
        </gri:popupPanel>
    </h:form>

    <h:form id="extrinsic_object_form">
        <gri:popupPanel id="extrinsic_object_edit" bodyStyleClass="gzl-select-modal-overflow-visible">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.EditExtrinsicObject']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#extrinsic_object_edit').modal('hide')"
                                   execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   onclick="jq162('#extrinsic_object_edit').modal('hide');"
                                   render="extrinsic_object_content"/>
            </f:facet>
            <a4j:region>
                <s:decorate>
                    <s:decorate template="/layout/form/_edit.xhtml" rendered="#{ROManager.selectedExtrinsicObjectDescriber != null}">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.ExtrinsicObjectMetadata_2']}
                        </ui:define>
                        <h:selectOneMenu id="selectCar" styleClass="form-control gzl-form-control gzl-select-text"
                                         value="#{ROManager.selectedExtrinsicObjectDescriber.eom}">
                            <s:selectItems
                                    value="#{metadataEditorManager.getAvailableExtrinsicObject()}"
                                    var="cl"
                                    noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}"
                                    label="#{cl.displayAttributeName}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <s:decorate template="/layout/form/_edit.xhtml" rendered="#{ROManager.selectedExtrinsicObjectDescriber != null}">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Cardinality']}</ui:define>
                        <h:selectOneMenu id="selectCarinality" styleClass="form-control gzl-form-control gzl-select-text"
                                         value="#{ROManager.selectedExtrinsicObjectDescriber.cardinality}">
                            <s:selectItems
                                    value="#{metadataEditorManager.getAvailableCardinalityEnum()}"
                                    var="cl"
                                    noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}"
                                    label="#{cl}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </s:decorate>
            </a4j:region>
        </gri:popupPanel>
    </h:form>
</ui:composition>